package test;
import static org.junit.Assert.*;
import java.util.List;
import player.CardCollection;
import kotae.SuperRare;
import static test.CommonCardTest.*;
public class SuperRareScenario extends CardTestScenario<SuperRare>{
	protected CardCollection cc;
	protected boolean[] compArray;
	public SuperRareScenario(List<SuperRare> list1, CardCollection cc1) {
		super(list1);
		this.cc=cc1;		
		compArray = new boolean[list1.size()];
		int i=0;
		for(SuperRare card : list1){
			compArray[i++]=cc1.contains(card);
		}
	}
	public void drawCard(int j){
		compArray[j] = true;
		cc.add(list.get(j));
	}
	public void testVariableRate(int[] expected) {
		assertArrayEquals(expected,toIntArray(list, new Rate()));
	}
}
